import { ThemeProvider } from 'theme-ui';
import { theme, Layout } from './default';
import React from 'react';
import { Global } from '@emotion/core';
const Reset = () => (React.createElement(Global, { styles: themeStyles => ({
        '*': {
            margin: 0,
            padding: 0,
            boxSizing: 'border-box',
            listStyle: 'none',
        },
        body: {
            fontFamily: themeStyles.fonts.body,
            fontSize: themeStyles.fontSizes[1],
            color: themeStyles.colors.text,
            backgroundColor: themeStyles.colors.background,
        },
        small: {
            fontSize: '100%',
        },
        a: {
            textDecoration: 'none',
        },
        button: {
            border: 0,
            padding: 0,
            fontSize: '100%',
            backgroundColor: 'transparent',
        },
    }) }));
const useThemeLayout = () => Layout;
const Provider = ({ children }) => (React.createElement(ThemeProvider, { theme: theme },
    React.createElement(Reset, null),
    children));
export { useThemeLayout };
export default Provider;
//# sourceMappingURL=provider.js.map